%define name   pclos-gnome-info
%define version 0.3
%define release %mkrel 3

Summary: pclos-gnome information, help guides
Summary(de): PCLOS-Gnome Informationen und Hilfe 
Name: 	 %{name}
Version: %{version}
Release: %{release}
License: GPL
URL: 	 http://linuxgator.org
Source0: %{name}-%{version}.tar.xz
Group: 	 Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildarch: noarch
Requires: gnome-desktop
Requires: perl-GTK2



%description
Basic information for pclos gnome about the current release
and related install help guides.

#german
%description -l de
PCLinuxOS-Gnome Information bzw Handbuch zur aktuellen Ausgabe und Hife zur Installation.


%prep
%setup -q -n %{name}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/pclos-gnome-info
install -m 644 icon/about.png $RPM_BUILD_ROOT%{_datadir}/%{name}/about.png

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/applications
install -m 755 %{name}.desktop $RPM_BUILD_ROOT%{_datadir}/applications/
install -m 755  help-forum.desktop $RPM_BUILD_ROOT%{_datadir}/applications/
install -m 755 install-livecd.desktop $RPM_BUILD_ROOT%{_datadir}/applications/

install -dm 755 $RPM_BUILD_ROOT/root/Desktop
install -m 755 install-livecd.desktop $RPM_BUILD_ROOT/root/Desktop
install -m 755 install-help.desktop $RPM_BUILD_ROOT/root/Desktop
install -m 755 firststeps.desktop $RPM_BUILD_ROOT/root/Desktop
install -m 755 video-configuration.desktop $RPM_BUILD_ROOT/root/Desktop
install -m 755 internet-connection.desktop $RPM_BUILD_ROOT/root/Desktop

install -dm 755 $RPM_BUILD_ROOT/etc/skel/Desktop
install -m 755  help-forum.desktop $RPM_BUILD_ROOT/etc/skel/Desktop
install -m 755 firststeps.desktop $RPM_BUILD_ROOT/etc/skel/Desktop
install -m 755 video-configuration.desktop $RPM_BUILD_ROOT/etc/skel/Desktop
install -m 755 internet-connection.desktop $RPM_BUILD_ROOT/etc/skel/Desktop

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/icons/
install -m 644 icon/livecd-install.png $RPM_BUILD_ROOT%{_datadir}/icons/

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/doc/HTML/
cp -a doc/* $RPM_BUILD_ROOT%{_datadir}/doc/HTML/

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -m 644 icon/help-forum.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -m 644 icon/gnome-help.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -m 644 icon/question.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
/root/Desktop/*.desktop
/etc/skel/Desktop/*.desktop
%{_datadir}/doc/HTML/*
%{_bindir}/%{name}
%{_datadir}/%{name}/*.png
%{_datadir}/icons/*.png
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/*.desktop


%changelog
* Thu Nov 04 2010 Texstar <texstar at gmail.com> 0.3-3pclos2010
- convert source to tar.xz

* Mon Nov 01 2010 slax <root@linuxgator.org> 0.3-2pclos2010
- changed icons
- updated help forum location

* Fri Oct 29 2010 slax <root@linuxgator.org> 0.3-1pclos2010
- updated sysinfo script
- updated release info 2010.10

* Sat Mar 13 2010 slick50 <lxgator@gmail.com> 0.2-1pclos2010
- update release info 2010
- removed printer install help files - not need in new release 

* Sun Dec 06 2009 slick50 <lxgator@gmail.com> 0.1-7pclos2010
- update release info 2010
- update html install help images

* Thu Oct 15 2009 slick50 <lxgator@gmail.com> 0.1-6pclos2010
- rebuild 
- add printer help guide 

* Mon Oct 05 2009 slick50 <lxgator@gmail.com> 0.1-4pclos2010
- bumped to 2009.3

* Fri Jun 26 2009 Slick50 <lxgator@linuxgator.org> 0.1-3pclos2009
- bumped to 2009.2

* Sun Mar 15 2009 Slick50 <lxgator@linuxgator.org> 0.1-2pclos2007
- rebuild
- bumped to 2009.1

* Sat Feb 28 2009 Slick50 <lxgator@linuxgator.org> 0.1-1pclos2007
- initial pkg


